{
	"name": "form/nc/erp-sync/4d/column/company.json",
	"option": {
		"cell_class_rules": {
			"nc-grid-cell-changed": "data.link_rec && recDataDifferent(data.link_rec, colDef, x)"
		},
		"grid_option": {
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"icon": "nc-link-icon",
			"link_field": "co.company_id",
			"name": "Row",
			"name_fi": "Rivi",
			"record_type": "customer",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"name_fi": "Tila",
			"variable": "change_status",
			"editable": false,
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "co.company_id",
			"name": "ID",
			"name_fi": "Tunnus",
			"width": 220
		},
		{
			"field": "co.json_data.project_id",
			"name": "ID",
			"name_fi": "Id",
			"width": 60
		},
		{
			"field": "co.name",
			"name": "Name",
			"name_fi": "Nimi",
			"width": 220
		},
		{
			"field": "co.name_2",
			"name": "Name 2",
			"name_fi": "Nimi 2",
			"width": 220
		},
		{
			"field": "co.create_time",
			"name": "Created",
			"name_fi": "Luotu",
			"width": 160
		},
		{
			"field": "co.email",
			"name": "Email",
			"name_fi": "Email",
			"width": 450
		},
		{
			"change_compare": false,
			"field": "co.record_id",
			"hide": true,
			"name": "Record ID",
			"name_fi": "Tietue ID",
			"width": 290
		}
	],
	"column-not.in.use": [
		{
			"info": "modify_time in not in 4d schema, only in new table/prf/default_field.json",
			"field": "co.modify_time",
			"width": 120,
			"name": "Modification time",
			"name_fi": "Muutosaika"
		}
	]
}
